<?xml version="1.0" encoding="utf-8"?>

<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/app_color_theme_4">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="?attr/qmui_topbar_height"
        android:background="@color/activity_background">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <!-- 选择菜谱 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@color/qmui_config_color_white"
                    android:padding="5dp">

                    <RelativeLayout
                        android:id="@+id/xzcp"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content">

                            <ImageView
                                android:layout_width="wrap_content"
                                android:layout_height="35dp"
                                android:clickable="false"
                                android:src="@mipmap/stcp" />

                            <RelativeLayout
                                android:layout_width="match_parent"
                                android:layout_height="match_parent">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_centerInParent="true"
                                    android:clickable="false"
                                    android:text="选择菜谱"
                                    android:textSize="16dp" />
                            </RelativeLayout>

                        </LinearLayout>
                    </RelativeLayout>
                </LinearLayout>

                <!-- 开始启动 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="80dp"
                    android:layout_marginTop="2dp"
                    android:background="@color/qmui_config_color_white"
                    android:padding="5dp">

                    <RelativeLayout
                        android:layout_width="60dp"
                        android:layout_height="match_parent">

                        <ImageView
                            android:id="@+id/startbutton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true"
                            android:src="@mipmap/qdzz" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="菜谱名称"
                            android:textSize="16dp" />

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:id="@+id/caipumingcheng"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="70dp"
                            android:layout_marginTop="-3dp"
                            android:text=""
                            android:textColor="@color/app_color_blue"
                            android:textSize="18dp" />

                        <LinearLayout
                            android:layout_marginTop="20dp"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content">
                            <TextView
                                android:id="@+id/gongxumiaoshu"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="5dp"
                                android:text="等待开始.."
                                android:textColor="#797373"
                                android:textSize="14dp" />
                            <TextView
                                android:id="@+id/gongxutime"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="@dimen/dp_10"
                                android:layout_marginTop="5dp"
                                android:text="预计等待:0"
                                android:textColor="#797373"
                                android:textSize="14dp" />
                        </LinearLayout>

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:id="@+id/shengyushijian"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:text="预计剩余时间：300s" />

                        <com.capton.colorfulprogressbar.ColorfulProgressbar xmlns:app="http://schemas.android.com/apk/res-auto"
                            android:id="@+id/jingdu"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_alignParentBottom="true"
                            android:layout_centerInParent="true"
                            android:layout_gravity="center"
                            android:duration="3000"
                            android:indeterminate="true"
                            android:max="100"
                            android:visibility="visible"
                            app:progress="10"
                            app:style="@string/style_colorful" />
                    </RelativeLayout>
                </LinearLayout>

                <!-- 火力选择 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="60dp"
                    android:layout_marginTop="2dp"
                    android:background="@color/qmui_config_color_white"
                    android:padding="5dp">

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="烹饪火力"
                            android:textSize="16dp" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <com.bonait.bnframework.modules.home.fragment.mode.huoli_control
                            android:id="@+id/huoli"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true" />
                    </RelativeLayout>
                </LinearLayout>

                <!-- 液体 -->
                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="2dp"
                    android:layout_marginTop="5dp">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/recycler_view"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </RelativeLayout>

                <!-- 搅拌 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="60dp"
                    android:layout_marginTop="2dp"
                    android:background="@color/qmui_config_color_white"
                    android:padding="5dp">

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="翻炒速度"
                            android:textSize="16dp" />
                    </RelativeLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/dp_10">

                        <RelativeLayout
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1">

                            <com.litao.slider.NiftySlider
                                android:id="@+id/nifty_slider2"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:hapticFeedbackEnabled="true"
                                android:stepSize="1"
                                android:value="22"
                                android:valueFrom="0"
                                android:valueTo="60"
                                app:enableDrawHalo="false"
                                app:thumbColor="@color/we_read_thumb_color"
                                app:thumbRadius="13dp"
                                app:thumbText="22"
                                app:thumbTextBold="true"
                                app:thumbTextColor="@color/we_read_theme_color"
                                app:thumbTextSize="12sp"
                                app:thumbWithinTrackBounds="true"
                                app:trackColor="@color/pro1"
                                app:trackColorInactive="@color/pro2"
                                app:trackHeight="26dp" />

                        </RelativeLayout>

                        <RelativeLayout
                            android:layout_width="190dp"
                            android:layout_height="match_parent"
                            android:layout_alignParentRight="true"
                            android:layout_marginRight="@dimen/dp_10">

                            <com.suke.widget.SwitchButton
                                android:id="@+id/btn_jiaoban"
                                android:layout_width="80dp"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:focusable="true"
                                app:sb_button_color="@color/app_color_blue"
                                app:sb_uncheck_color="@color/app_color_blue"
                                app:sb_uncheckcircle_color="@color/app_color_blue"></com.suke.widget.SwitchButton>

                            <ImageView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:src="@color/color1"></ImageView>
                        </RelativeLayout>
                    </LinearLayout>
                </LinearLayout>

                <!-- 转动 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="60dp"
                    android:layout_marginTop="2dp"
                    android:background="@color/qmui_config_color_white"
                    android:padding="5dp">

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="锅口朝向"
                            android:textSize="16dp" />
                    </RelativeLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/dp_10">

                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_weight="1">

                            <com.litao.slider.NiftySlider
                                android:id="@+id/nifty_slider3"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:hapticFeedbackEnabled="true"
                                android:stepSize="1"
                                android:value="22"
                                android:valueFrom="0"
                                android:valueTo="60"
                                app:enableDrawHalo="false"
                                app:thumbColor="@color/we_read_thumb_color"
                                app:thumbRadius="13dp"
                                app:thumbText="22"
                                app:thumbTextBold="true"
                                app:thumbTextColor="@color/we_read_theme_color"
                                app:thumbTextSize="12sp"
                                app:thumbWithinTrackBounds="true"
                                app:trackColor="@color/pro1"
                                app:trackColorInactive="@color/pro2"
                                app:trackHeight="26dp" />
                        </RelativeLayout>

                        <LinearLayout
                            android:layout_width="190dp"
                            android:layout_height="match_parent"
                            android:layout_marginRight="@dimen/dp_10">

                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_alignParentRight="true"
                                android:layout_marginRight="@dimen/dp_10">

                                <Button
                                    android:id="@+id/btn_zhuandong_control_left"
                                    android:layout_width="80dp"
                                    android:layout_height="30dp"
                                    android:layout_centerVertical="true"
                                    android:layout_marginBottom="10dp"
                                    android:background="@drawable/bg_btn_login_selected"
                                    android:text="正向"
                                    android:textColor="@color/white"
                                    android:textSize="16dp" />
                            </RelativeLayout>

                            <!--边框分割细线-->
                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="5dp"
                                android:layout_marginRight="5dp">

                                <LinearLayout
                                    android:layout_width="1dp"
                                    android:layout_height="50dp"
                                    android:layout_centerInParent="true"
                                    android:background="@color/activity_background" />
                            </RelativeLayout>

                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_alignParentRight="true"
                                android:layout_marginRight="@dimen/dp_10">

                                <Button
                                    android:id="@+id/btn_zhuandong_control_Rift"
                                    android:layout_width="80dp"
                                    android:layout_height="30dp"
                                    android:layout_centerVertical="true"
                                    android:layout_marginBottom="10dp"
                                    android:background="@drawable/bg_btn_login_selected"
                                    android:text="反向"
                                    android:textColor="@color/white"
                                    android:textSize="16dp" />
                            </RelativeLayout>
                        </LinearLayout>


                    </LinearLayout>
                </LinearLayout>

                <!-- 常规控制 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="60dp"
                    android:layout_marginTop="2dp"
                    android:background="@color/qmui_config_color_white"
                    android:padding="5dp">

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="常规控制"
                            android:textSize="16dp" />
                    </RelativeLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/dp_10">

                        <LinearLayout
                            android:id="@+id/chushihua"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent">

                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="@dimen/dp_10">

                                <ImageView
                                    android:layout_width="40dp"
                                    android:layout_height="40dp"
                                    android:layout_centerInParent="true"
                                    android:scaleType="fitXY"
                                    android:src="@mipmap/chushihua" />
                            </RelativeLayout>

                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_centerVertical="true"
                                    android:layout_marginLeft="@dimen/dp_4"
                                    android:text="初始化" />
                            </RelativeLayout>
                        </LinearLayout>

                        <!--边框分割细线-->
                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp">

                            <LinearLayout
                                android:layout_width="1dp"
                                android:layout_height="50dp"
                                android:layout_centerInParent="true"
                                android:background="@color/activity_background" />
                        </RelativeLayout>

                        <LinearLayout
                            android:id="@+id/jiting"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent">

                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="@dimen/dp_10">

                                <ImageView
                                    android:layout_width="40dp"
                                    android:layout_height="40dp"
                                    android:layout_centerInParent="true"
                                    android:scaleType="fitXY"
                                    android:src="@mipmap/jiting" />
                            </RelativeLayout>

                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_centerVertical="true"
                                    android:layout_marginLeft="@dimen/dp_4"
                                    android:text="急停" />
                            </RelativeLayout>
                        </LinearLayout>

                        <!--边框分割细线-->
                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp">

                            <LinearLayout
                                android:layout_width="1dp"
                                android:layout_height="50dp"
                                android:layout_centerInParent="true"
                                android:background="@color/activity_background" />
                        </RelativeLayout>

                        <Button
                            android:id="@+id/choushui_control"
                            android:layout_width="80dp"
                            android:layout_height="match_parent"
                            android:layout_centerVertical="true"
                            android:background="@drawable/bg_btn_login_selected"
                            android:text="炒锅抽水"
                            android:textColor="@color/white"
                            android:textSize="16dp" />
                        <!--边框分割细线-->
                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp">

                            <LinearLayout
                                android:layout_width="1dp"
                                android:layout_height="50dp"
                                android:layout_centerInParent="true"
                                android:background="@color/activity_background" />
                        </RelativeLayout>

                        <Button
                            android:id="@+id/fangshui_control"
                            android:layout_width="80dp"
                            android:layout_height="match_parent"
                            android:layout_centerVertical="true"
                            android:background="@drawable/bg_btn_login_selected"
                            android:text="洗锅水枪"
                            android:textColor="@color/white"
                            android:textSize="16dp" />
                    </LinearLayout>
                </LinearLayout>

                <!-- 清洗 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="70dp"
                    android:layout_marginTop="2dp"
                    android:background="@color/qmui_config_color_white"
                    android:padding="5dp">

                    <RelativeLayout
                        android:layout_width="140dp"
                        android:layout_height="match_parent"
                        android:background="@color/activity_background">

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_centerInParent="true">

                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent">

                                <ImageView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_centerInParent="true"
                                    android:src="@mipmap/qingxi" />
                            </RelativeLayout>

                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="5dp">

                                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_centerVertical="true"
                                    android:text="清洗"
                                    android:textColor="#1296db"
                                    android:textSize="24dp" />
                            </RelativeLayout>
                        </LinearLayout>
                    </RelativeLayout>


                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_alignParentRight="true"
                            android:layout_marginRight="@dimen/dp_10">

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent">

                                <RelativeLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="match_parent"
                                    android:layout_marginRight="10dp">

                                    <Button
                                        android:id="@+id/qdjb"
                                        android:layout_width="100dp"
                                        android:layout_height="match_parent"
                                        android:layout_centerInParent="true"
                                        android:layout_marginBottom="10dp"
                                        android:background="@drawable/bg_btn_login_selected"
                                        android:text="自动清洗"
                                        android:textColor="@color/white"
                                        android:textSize="16dp" />
                                </RelativeLayout>

                            </LinearLayout>
                        </LinearLayout>
                    </RelativeLayout>

                </LinearLayout>

                <!-- 控制 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="60dp"
                    android:layout_marginTop="2dp"
                    android:background="@color/qmui_config_color_white"
                    android:padding="5dp">

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_alignParentLeft="true">

                            <Button
                                android:id="@+id/ydw"
                                android:layout_width="60dp"
                                android:layout_height="match_parent"
                                android:layout_marginRight="5dp"
                                android:background="@drawable/bg_btn_login_selected"
                                android:text="原点位"
                                android:textColor="@color/white"
                                android:textSize="16dp" />
                            <!--边框分割细线-->
                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="2dp"
                                android:layout_marginRight="2dp">

                                <LinearLayout
                                    android:layout_width="1dp"
                                    android:layout_height="30dp"
                                    android:layout_centerInParent="true"
                                    android:background="@color/activity_background" />
                            </RelativeLayout>

                            <Button
                                android:id="@+id/dcw"
                                android:layout_width="60dp"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="5dp"
                                android:layout_marginRight="5dp"
                                android:background="@drawable/bg_btn_login_selected"
                                android:text="倒菜位"
                                android:textColor="@color/white"
                                android:textSize="16dp" />
                            <!--边框分割细线-->
                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="2dp"
                                android:layout_marginRight="2dp">

                                <LinearLayout
                                    android:layout_width="1dp"
                                    android:layout_height="30dp"
                                    android:layout_centerInParent="true"
                                    android:background="@color/activity_background" />
                            </RelativeLayout>

                            <Button
                                android:id="@+id/clw"
                                android:layout_width="60dp"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="5dp"
                                android:layout_marginRight="5dp"
                                android:background="@drawable/bg_btn_login_selected"
                                android:text="抽料位"
                                android:textColor="@color/white"
                                android:textSize="16dp" />
                            <!--边框分割细线-->
                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="2dp"
                                android:layout_marginRight="2dp">

                                <LinearLayout
                                    android:layout_width="1dp"
                                    android:layout_height="30dp"
                                    android:layout_centerInParent="true"
                                    android:background="@color/activity_background" />
                            </RelativeLayout>

                            <Button
                                android:id="@+id/qxw"
                                android:layout_width="60dp"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="5dp"
                                android:layout_marginRight="5dp"
                                android:background="@drawable/bg_btn_login_selected"
                                android:text="清洗位"
                                android:textColor="@color/white"
                                android:textSize="16dp" />
                            <!--边框分割细线-->
                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="2dp"
                                android:layout_marginRight="2dp">

                                <LinearLayout
                                    android:layout_width="1dp"
                                    android:layout_height="30dp"
                                    android:layout_centerInParent="true"
                                    android:background="@color/activity_background" />
                            </RelativeLayout>

                            <Button
                                android:id="@+id/ccw1"
                                android:layout_width="60dp"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="5dp"
                                android:layout_marginRight="5dp"
                                android:background="@drawable/bg_btn_login_selected"
                                android:text="炒菜位1"
                                android:textColor="@color/white"
                                android:textSize="16dp" />
                            <!--边框分割细线-->
                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="2dp"
                                android:layout_marginRight="2dp">

                                <LinearLayout
                                    android:layout_width="1dp"
                                    android:layout_height="30dp"
                                    android:layout_centerInParent="true"
                                    android:background="@color/activity_background" />
                            </RelativeLayout>

                            <Button
                                android:id="@+id/ccw2"
                                android:layout_width="60dp"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="5dp"
                                android:layout_marginRight="5dp"
                                android:background="@drawable/bg_btn_login_selected"
                                android:text="炒菜位2"
                                android:textColor="@color/white"
                                android:textSize="16dp" />
                            <!--边框分割细线-->
                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="2dp"
                                android:layout_marginRight="2dp">

                                <LinearLayout
                                    android:layout_width="1dp"
                                    android:layout_height="30dp"
                                    android:layout_centerInParent="true"
                                    android:background="@color/activity_background" />
                            </RelativeLayout>

                            <Button
                                android:id="@+id/ccw3"
                                android:layout_width="60dp"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="5dp"
                                android:background="@drawable/bg_btn_login_selected"
                                android:text="炒菜位3"
                                android:textColor="@color/white"
                                android:textSize="16dp" />
                        </LinearLayout>
                    </RelativeLayout>

                    <!-- 临时屏蔽要钱 -->
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:visibility="gone">

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_alignParentRight="true"
                            android:layout_marginRight="@dimen/dp_10">

                            <LinearLayout
                                android:id="@+id/yaoqian"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent">

                                <RelativeLayout
                                    android:layout_width="26dp"
                                    android:layout_height="match_parent">

                                    <ImageView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_centerInParent="true"
                                        android:src="@mipmap/start" />
                                </RelativeLayout>

                                <RelativeLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="match_parent">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_centerVertical="true"
                                        android:text="摇芡" />
                                </RelativeLayout>
                            </LinearLayout>

                            <!--边框分割细线-->
                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="5dp"
                                android:layout_marginRight="5dp">

                                <LinearLayout
                                    android:layout_width="1dp"
                                    android:layout_height="30dp"
                                    android:layout_centerInParent="true"
                                    android:background="@color/activity_background" />
                            </RelativeLayout>

                            <LinearLayout
                                android:id="@+id/tingyao"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent">

                                <RelativeLayout
                                    android:layout_width="26dp"
                                    android:layout_height="match_parent">

                                    <ImageView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_centerInParent="true"
                                        android:src="@mipmap/stop" />
                                </RelativeLayout>

                                <RelativeLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="match_parent">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_centerVertical="true"
                                        android:text="停摇" />
                                </RelativeLayout>
                            </LinearLayout>

                        </LinearLayout>
                    </RelativeLayout>
                </LinearLayout>

                <!-- 监控 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="60dp"
                    android:layout_marginTop="2dp"
                    android:background="@color/qmui_config_color_white"
                    android:padding="5dp">

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="锅底温度"
                            android:textSize="16dp" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/dp_10">

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:id="@+id/chaoguo_wendu"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="39"
                            android:textColor="@color/red_primary"
                            android:textSize="24dp" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="°C"
                            android:textColor="@color/red_primary"
                            android:textSize="24dp" />
                    </RelativeLayout>

                    <!--边框分割细线-->
                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="5dp"
                        android:layout_marginRight="5dp">

                        <LinearLayout
                            android:layout_width="1dp"
                            android:layout_height="50dp"
                            android:layout_centerInParent="true"
                            android:background="@color/activity_background" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="炒锅位置"
                            android:textSize="16dp" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/dp_10">

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:id="@+id/chaoguo_weizhi"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="10168"
                            android:textColor="@color/deep_purple_primary"
                            android:textSize="24dp" />
                    </RelativeLayout>

                    <!--边框分割细线-->
                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="5dp"
                        android:layout_marginRight="5dp">

                        <LinearLayout
                            android:layout_width="1dp"
                            android:layout_height="50dp"
                            android:layout_centerInParent="true"
                            android:background="@color/activity_background" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="硬件"
                            android:textSize="16dp" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/dp_10">

                        <ImageView
                            android:id="@+id/plc_zhuangtai"
                            android:layout_width="24dp"
                            android:layout_height="20dp"
                            android:layout_centerVertical="true"
                            android:src="@mipmap/yjzt"></ImageView>
                        <!--                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView-->
                        <!--                        android:id="@+id/plc_zhuangtai"-->
                        <!--                        android:layout_width="wrap_content"-->
                        <!--                        android:layout_height="wrap_content"-->
                        <!--                        android:layout_centerVertical="true"-->
                        <!--                        android:textSize="24dp"-->
                        <!--                        android:textColor="@color/teal_primary_dark"-->
                        <!--                        android:text="未连接"/>-->
                    </RelativeLayout>

                    <!--边框分割细线-->
                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="5dp"
                        android:layout_marginRight="5dp">

                        <LinearLayout
                            android:layout_width="1dp"
                            android:layout_height="50dp"
                            android:layout_centerInParent="true"
                            android:background="@color/activity_background" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="温控开关"
                            android:textSize="16dp" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/dp_10">

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:id="@+id/wk_zhuangtai"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="闭合"
                            android:textColor="#F44336"
                            android:textSize="20dp" />
                    </RelativeLayout>

                </LinearLayout>
            </LinearLayout>
        </RelativeLayout>
    </ScrollView>

    <com.qmuiteam.qmui.widget.QMUITopBarLayout
        android:id="@+id/topbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>